<?php
/*
  This code is part of FusionDirectory (http://www.fusiondirectory.org/)

  Copyright (C) 2003-2010  Cajus Pollmeier
  Copyright (C) 2011-2019  FusionDirectory

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
*/

/*!
 * \brief Column rendering service status
 */
class ServiceStatusColumn extends Column
{
  protected function renderSingleValue (ListingEntry $entry, string $value): string
  {
    switch ($value) {
      case 'stopped':
        $img = 'geticon.php?context=status&icon=task-stopped&size=16';
        break;
      case 'running':
        $img = 'geticon.php?context=status&icon=task-running&size=16';
        break;
      default:
        $img = 'images/empty.png';
        break;
    }
    return '<img src="'.htmlescape($img).'" alt="'.htmlescape($value).'" title="'.htmlescape($value).'"/>';
  }
}
